/**
 * generated by Xtext 2.16.0
 */
package org.xtext.ungs.drake.drake;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.ungs.drake.drake.Model#getFormulation <em>Formulation</em>}</li>
 * </ul>
 *
 * @see org.xtext.ungs.drake.drake.DrakePackage#getModel()
 * @model
 * @generated
 */
public interface Model extends EObject
{
  /**
   * Returns the value of the '<em><b>Formulation</b></em>' containment reference list.
   * The list contents are of type {@link org.xtext.ungs.drake.drake.Formulation}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Formulation</em>' containment reference list isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Formulation</em>' containment reference list.
   * @see org.xtext.ungs.drake.drake.DrakePackage#getModel_Formulation()
   * @model containment="true"
   * @generated
   */
  EList<Formulation> getFormulation();

} // Model
